Get Client Info
curl --request GET \
--url https://testapi.kravata.co/api/infoClient \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/infoClient"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/infoClient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"clientType": "b2b",
"complianceStatus": "approved",
"constitutionCity": "Bogotá",
"constitutionCountryId": 8,
"constitutionDate": "Wed, 24 Apr 2024 14:38:16 GMT",
"constitutionState": "Bogotá Department",
"id": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"person": {
"businessName": "UserTest",
"contactsData": [
{
"city": null,
"dataTypeContact": "phone",
"dataValue": "+5730002123",
"isVerified": true,
"personId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"postalCode": null,
"registerDate": "2024-04-24 14:38:16.695722"
},
{
"city": null,
"dataTypeContact": "email",
"dataValue": "user@example.com",
"isVerified": true,
"personId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"postalCode": null,
"registerDate": "2024-04-24 14:38:16.683817"
}
],
"firstName": "UserTest",
"firstSurname": null,
"id": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"identificationNro": "238283432",
"identificationType": "nit",
"isJuridic": true,
"lastName": "",
"middleName": null,
"nationality": null,
"pep": null,
"registerDate": "2024-04-24 14:38:16.608477",
"verificateDigit": 4
},
"status": "approved",
"tradeName": "UserTest"
}Authentication
Get Client Info
By consuming this endpoint you will be able to retrieve your information and status.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
Response Body
The response for this request is a JSON object with your information.
| Field | Description |
|---|---|
| clientType | This is the type of client assigned by Kravata according to your service model. In this scenario, B2B means you can place orders for funds to be sent or received to your own wallets and accounts. |
| complianceStatus | This status corresponds to the status determined after the onboarding and compliance review have been completed. To operate, this one must appear as “approved”. |
| status | This status indicates your Kick Off meeting has occurred and all logistics necessary to operate are ready. To operate, this one must appear as “approved”. |
| clientID | This is your unique identifier. |
| person | This indicates your profile information registered. |
GET
/
api
/
infoClient
Get Client Info
curl --request GET \
--url https://testapi.kravata.co/api/infoClient \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/infoClient"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/infoClient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"clientType": "b2b",
"complianceStatus": "approved",
"constitutionCity": "Bogotá",
"constitutionCountryId": 8,
"constitutionDate": "Wed, 24 Apr 2024 14:38:16 GMT",
"constitutionState": "Bogotá Department",
"id": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"person": {
"businessName": "UserTest",
"contactsData": [
{
"city": null,
"dataTypeContact": "phone",
"dataValue": "+5730002123",
"isVerified": true,
"personId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"postalCode": null,
"registerDate": "2024-04-24 14:38:16.695722"
},
{
"city": null,
"dataTypeContact": "email",
"dataValue": "user@example.com",
"isVerified": true,
"personId": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"postalCode": null,
"registerDate": "2024-04-24 14:38:16.683817"
}
],
"firstName": "UserTest",
"firstSurname": null,
"id": "08597c65-c25b-4a7c-8c68-f1180bce65f4",
"identificationNro": "238283432",
"identificationType": "nit",
"isJuridic": true,
"lastName": "",
"middleName": null,
"nationality": null,
"pep": null,
"registerDate": "2024-04-24 14:38:16.608477",
"verificateDigit": 4
},
"status": "approved",
"tradeName": "UserTest"
}Authorizations
Access token from POST /api/token (valid 5 minutes).

